/*===========================================================================*/
/*   (Jas/wide.scm)                                                          */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.95 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6b -unsafev -no-hello -O2 -rm -unsafe -s -indent Jas/wide.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_codez00;
   obj_t BgL_vectz00;
} *BgL_typez00_bglt;

typedef struct BgL_basicz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_codez00;
   obj_t BgL_vectz00;
} *BgL_basicz00_bglt;

typedef struct BgL_vectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_codez00;
   obj_t BgL_vectz00;
   struct BgL_typez00_bgl * BgL_typez00;
} *BgL_vectz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_codez00;
   obj_t BgL_vectz00;
   struct BgL_typez00_bgl * BgL_tretz00;
   obj_t BgL_targsz00;
} *BgL_funz00_bglt;

typedef struct BgL_classez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_codez00;
   obj_t BgL_vectz00;
   obj_t BgL_flagsz00;
   obj_t BgL_namez00;
   obj_t BgL_poolz00;
} *BgL_classez00_bglt;

typedef struct BgL_fieldzd2orzd2methodz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_flagsz00;
   obj_t BgL_namez00;
   obj_t BgL_ownerz00;
   obj_t BgL_usertypez00;
   obj_t BgL_typez00;
   obj_t BgL_pnamez00;
   obj_t BgL_descriptorz00;
   obj_t BgL_poolz00;
   obj_t BgL_attributesz00;
} *BgL_fieldzd2orzd2methodz00_bglt;

typedef struct BgL_fieldz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_flagsz00;
   obj_t BgL_namez00;
   obj_t BgL_ownerz00;
   obj_t BgL_usertypez00;
   obj_t BgL_typez00;
   obj_t BgL_pnamez00;
   obj_t BgL_descriptorz00;
   obj_t BgL_poolz00;
   obj_t BgL_attributesz00;
} *BgL_fieldz00_bglt;

typedef struct BgL_methodz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_flagsz00;
   obj_t BgL_namez00;
   obj_t BgL_ownerz00;
   obj_t BgL_usertypez00;
   obj_t BgL_typez00;
   obj_t BgL_pnamez00;
   obj_t BgL_descriptorz00;
   obj_t BgL_poolz00;
   obj_t BgL_attributesz00;
} *BgL_methodz00_bglt;

typedef struct BgL_attributez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_typez00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_infoz00;
} *BgL_attributez00_bglt;

typedef struct BgL_classfilez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_currentzd2methodzd2;
   obj_t BgL_globalsz00;
   obj_t BgL_poolz00;
   obj_t BgL_poolzd2siza7ez75;
   obj_t BgL_flagsz00;
   obj_t BgL_mez00;
   obj_t BgL_superz00;
   obj_t BgL_interfacesz00;
   obj_t BgL_fieldsz00;
   obj_t BgL_methodsz00;
   obj_t BgL_attributesz00;
} *BgL_classfilez00_bglt;


static obj_t BGl_widez00zzjas_widez00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzjas_widez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjas_libz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzjas_classfilez00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long, char *);
static obj_t BGl_methodzd2initzd2zzjas_widez00();
extern int BGl_poolzd2namezd2zzjas_classfilez00(BgL_classfilez00_bglt, obj_t);
BGL_IMPORT obj_t BGl_zb2zb2zz__r4_numbers_6_5z00(obj_t);
extern obj_t BGl_jaszd2errorzd2zzjas_classfilez00(BgL_classfilez00_bglt, obj_t, obj_t);
extern obj_t BGl_u2z00zzjas_libz00(int);
extern int BGl_poolzd2classzd2byzd2reftypezd2zzjas_classfilez00(BgL_classfilez00_bglt, BgL_typez00_bglt);
extern int BGl_typezd2siza7ez75zzjas_classfilez00(BgL_typez00_bglt);
BGL_IMPORT obj_t BGl_absz00zz__r4_numbers_6_5z00(obj_t);
extern int BGl_poolzd2floatzd2zzjas_classfilez00(BgL_classfilez00_bglt, float);
extern int BGl_poolzd2stringzd2zzjas_classfilez00(BgL_classfilez00_bglt, obj_t);
extern int BGl_poolzd2doublezd2zzjas_classfilez00(BgL_classfilez00_bglt, double);
extern int BGl_poolzd2longzd2zzjas_classfilez00(BgL_classfilez00_bglt, long);
static obj_t BGl_zc3anonymousza31406ze3z83zzjas_widez00(obj_t, obj_t, obj_t);
extern int BGl_poolzd2fieldzd2zzjas_classfilez00(BgL_classfilez00_bglt, BgL_fieldz00_bglt);
extern int BGl_poolzd2intzd2zzjas_classfilez00(BgL_classfilez00_bglt, int);
BGL_IMPORT obj_t bgl_append2(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zzjas_widez00();
BGL_EXPORTED_DEF obj_t BGl_resolvezd2widezd2zzjas_widez00 = BUNSPEC;
static obj_t BGl_requirezd2initializa7ationz75zzjas_widez00 = BUNSPEC;
extern int BGl_poolzd2methodzd2zzjas_classfilez00(BgL_classfilez00_bglt, BgL_methodz00_bglt);
extern int BGl_poolzd2interfacezd2methodz00zzjas_classfilez00(BgL_classfilez00_bglt, BgL_methodz00_bglt);
static obj_t BGl_libraryzd2moduleszd2initz00zzjas_widez00();
static obj_t BGl_toplevelzd2initzd2zzjas_widez00();
BGL_IMPORT obj_t BGl_2zb2zb2zz__r4_numbers_6_5z00(obj_t, obj_t);
extern int BGl_poolzd2classzd2zzjas_classfilez00(BgL_classfilez00_bglt, BgL_classez00_bglt);
static obj_t *__cnst;


DEFINE_STATIC_PROCEDURE( BGl_proc1991z00zzjas_widez00, BgL_bgl_za7c3anonymousza7a31406za7e3za783za7za7jas_wideza7002006za7, BGl_zc3anonymousza31406ze3z83zzjas_widez00, 0L, 2 );
DEFINE_STRING( BGl_string1995z00zzjas_widez00, BgL_bgl_string1995za700za7za7jas_wideza7002007z00, "bad localvar args", 17 );
DEFINE_STRING( BGl_string1994z00zzjas_widez00, BgL_bgl_string1994za700za7za7jas_wideza7002008z00, "too large increment in iinc", 27 );
DEFINE_STRING( BGl_string1993z00zzjas_widez00, BgL_bgl_string1993za700za7za7jas_wideza7002009z00, "too much locals", 15 );
DEFINE_STRING( BGl_string1992z00zzjas_widez00, BgL_bgl_string1992za700za7za7jas_wideza7002010z00, "bad immediate value", 19 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzjas_widez00(long BgL_checksumz00_557, char * BgL_fromz00_558)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzjas_widez00))
{ 
BGl_requirezd2initializa7ationz75zzjas_widez00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzjas_widez00(); 
BGl_importedzd2moduleszd2initz00zzjas_widez00(); 
BGl_toplevelzd2initzd2zzjas_widez00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzjas_widez00()
{ AN_OBJECT;
{ /* ./Jas/wide.scm 1 */
BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(((long)0), "jas_wide"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "jas_wide"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "jas_wide"); 
return BUNSPEC;} 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzjas_widez00()
{ AN_OBJECT;
{ /* ./Jas/wide.scm 1 */
return ( 
BGl_resolvezd2widezd2zzjas_widez00 = BGl_proc1991z00zzjas_widez00, BUNSPEC) ;} 
}



/* <anonymous:1406> */
obj_t BGl_zc3anonymousza31406ze3z83zzjas_widez00(obj_t BgL_envz00_554, obj_t BgL_classfilez00_555, obj_t BgL_codez00_556)
{ AN_OBJECT;
{ /* ./Jas/wide.scm 8 */
{ 
obj_t BgL_classfilez00_178;obj_t BgL_codez00_179;
BgL_classfilez00_178 = BgL_classfilez00_555; 
BgL_codez00_179 = BgL_codez00_556; 
{ /* ./Jas/wide.scm 9 */
bool_t BgL_test1408z00_182;
BgL_test1408z00_182 = 
NULLP(BgL_codez00_179); 
if(BgL_test1408z00_182)
{ /* ./Jas/wide.scm 9 */
return BNIL;}  else 
{ /* ./Jas/wide.scm 9 */
obj_t BgL_head1394z00_183;
BgL_head1394z00_183 = 
MAKE_PAIR(BNIL, BNIL); 
{ 
obj_t BgL_l1392z00_184;obj_t BgL_tail1395z00_185;
BgL_l1392z00_184 = BgL_codez00_179; 
BgL_tail1395z00_185 = BgL_head1394z00_183; 
BgL_map1393z00_186:
{ /* ./Jas/wide.scm 9 */
bool_t BgL_test1410z00_187;
BgL_test1410z00_187 = 
NULLP(BgL_l1392z00_184); 
if(BgL_test1410z00_187)
{ /* ./Jas/wide.scm 9 */
return 
CDR(BgL_head1394z00_183);}  else 
{ /* ./Jas/wide.scm 9 */
obj_t BgL_newtail1396z00_188;
{ /* ./Jas/wide.scm 9 */
obj_t BgL_arg1418z00_190;
{ /* ./Jas/wide.scm 9 */
obj_t BgL_xz00_192;
BgL_xz00_192 = 
CAR(BgL_l1392z00_184); 
{ /* ./Jas/wide.scm 9 */
bool_t BgL_test1421z00_193;
BgL_test1421z00_193 = 
PAIRP(BgL_xz00_192); 
if(BgL_test1421z00_193)
{ /* ./Jas/wide.scm 9 */
obj_t BgL_arg1423z00_194;obj_t BgL_arg1424z00_195;
BgL_arg1423z00_194 = 
CAR(BgL_xz00_192); 
BgL_arg1424z00_195 = 
CDR(BgL_xz00_192); 
BgL_arg1418z00_190 = 
BGl_widez00zzjas_widez00(BgL_classfilez00_178, BgL_arg1423z00_194, BgL_arg1424z00_195); }  else 
{ /* ./Jas/wide.scm 9 */
BgL_arg1418z00_190 = BgL_xz00_192; } } } 
BgL_newtail1396z00_188 = 
MAKE_PAIR(BgL_arg1418z00_190, BNIL); } 
SET_CDR(BgL_tail1395z00_185, BgL_newtail1396z00_188); 
{ /* ./Jas/wide.scm 9 */
obj_t BgL_arg1414z00_189;
BgL_arg1414z00_189 = 
CDR(BgL_l1392z00_184); 
{ 
obj_t BgL_tail1395z00_584;obj_t BgL_l1392z00_583;
BgL_l1392z00_583 = BgL_arg1414z00_189; 
BgL_tail1395z00_584 = BgL_newtail1396z00_188; 
BgL_tail1395z00_185 = BgL_tail1395z00_584; 
BgL_l1392z00_184 = BgL_l1392z00_583; 
goto BgL_map1393z00_186;} } } } } } } } } 
}



/* wide */
obj_t BGl_widez00zzjas_widez00(obj_t BgL_classfilez00_1, obj_t BgL_copz00_2, obj_t BgL_argsz00_3)
{ AN_OBJECT;
{ /* ./Jas/wide.scm 12 */
{ /* ./Jas/wide.scm 13 */
bool_t BgL_test1433z00_198;
BgL_test1433z00_198 = 
INTEGERP(BgL_copz00_2); 
if(BgL_test1433z00_198)
{ /* ./Jas/wide.scm 13 */
switch( 
(long)CINT(BgL_copz00_2)) { case ((long)17) : 

{ /* ./Jas/wide.scm 15 */
obj_t BgL_arg1435z00_199;
{ /* ./Jas/wide.scm 15 */
obj_t BgL_arg1438z00_200;
BgL_arg1438z00_200 = 
CAR(BgL_argsz00_3); 
BgL_arg1435z00_199 = 
BGl_u2z00zzjas_libz00(
CINT(BgL_arg1438z00_200)); } 
return 
MAKE_PAIR(BgL_copz00_2, BgL_arg1435z00_199);} break;case ((long)18) : 

{ /* ./Jas/wide.scm 17 */
obj_t BgL_vz00_201;
BgL_vz00_201 = 
CAR(BgL_argsz00_3); 
{ 
int BgL_nz00_209;
{ /* ./Jas/wide.scm 19 */
bool_t BgL_test1441z00_203;
BgL_test1441z00_203 = 
INTEGERP(BgL_vz00_201); 
if(BgL_test1441z00_203)
{ /* ./Jas/wide.scm 19 */
{ /* ./Jas/wide.scm 19 */
int BgL_arg1444z00_204;
BgL_arg1444z00_204 = 
BGl_poolzd2intzd2zzjas_classfilez00(
(BgL_classfilez00_bglt)(BgL_classfilez00_1), 
CINT(BgL_vz00_201)); 
BgL_nz00_209 = BgL_arg1444z00_204; 
BgL_zc3anonymousza31463ze3z83_210:
{ /* ./Jas/wide.scm 18 */
bool_t BgL_test1464z00_211;
{ /* ./Jas/wide.scm 18 */
long BgL_auxz00_597;
BgL_auxz00_597 = 
(long)(BgL_nz00_209); 
BgL_test1464z00_211 = 
(BgL_auxz00_597<((long)256)); } 
if(BgL_test1464z00_211)
{ /* ./Jas/wide.scm 18 */
obj_t BgL_list1466z00_212;
{ /* ./Jas/wide.scm 18 */
obj_t BgL_arg1470z00_214;
{ /* ./Jas/wide.scm 18 */
obj_t BgL_auxz00_601;
BgL_auxz00_601 = 
BINT(BgL_nz00_209); 
BgL_arg1470z00_214 = 
MAKE_PAIR(BgL_auxz00_601, BNIL); } 
{ /* ./Jas/wide.scm 18 */
obj_t BgL_auxz00_604;
BgL_auxz00_604 = 
BINT(((long)18)); 
BgL_list1466z00_212 = 
MAKE_PAIR(BgL_auxz00_604, BgL_arg1470z00_214); } } 
return BgL_list1466z00_212;}  else 
{ /* ./Jas/wide.scm 18 */
obj_t BgL_arg1476z00_216;
BgL_arg1476z00_216 = 
BGl_u2z00zzjas_libz00(BgL_nz00_209); 
{ /* ./Jas/wide.scm 18 */
obj_t BgL_auxz00_608;
BgL_auxz00_608 = 
BINT(((long)19)); 
return 
MAKE_PAIR(BgL_auxz00_608, BgL_arg1476z00_216);} } } } }  else 
{ /* ./Jas/wide.scm 20 */
bool_t BgL_test1447z00_205;
BgL_test1447z00_205 = 
REALP(BgL_vz00_201); 
if(BgL_test1447z00_205)
{ /* ./Jas/wide.scm 20 */
{ /* ./Jas/wide.scm 20 */
int BgL_arg1450z00_206;
BgL_arg1450z00_206 = 
BGl_poolzd2floatzd2zzjas_classfilez00(
(BgL_classfilez00_bglt)(BgL_classfilez00_1), 
REAL_TO_FLOAT(BgL_vz00_201)); 
{ 
int BgL_nz00_616;
BgL_nz00_616 = BgL_arg1450z00_206; 
BgL_nz00_209 = BgL_nz00_616; 
goto BgL_zc3anonymousza31463ze3z83_210;} } }  else 
{ /* ./Jas/wide.scm 21 */
bool_t BgL_test1453z00_207;
BgL_test1453z00_207 = 
STRINGP(BgL_vz00_201); 
if(BgL_test1453z00_207)
{ /* ./Jas/wide.scm 21 */
{ /* ./Jas/wide.scm 21 */
int BgL_arg1456z00_208;
BgL_arg1456z00_208 = 
BGl_poolzd2stringzd2zzjas_classfilez00(
(BgL_classfilez00_bglt)(BgL_classfilez00_1), BgL_vz00_201); 
{ 
int BgL_nz00_621;
BgL_nz00_621 = BgL_arg1456z00_208; 
BgL_nz00_209 = BgL_nz00_621; 
goto BgL_zc3anonymousza31463ze3z83_210;} } }  else 
{ /* ./Jas/wide.scm 21 */
return 
BGl_jaszd2errorzd2zzjas_classfilez00(
(BgL_classfilez00_bglt)(BgL_classfilez00_1), BGl_string1992z00zzjas_widez00, BgL_vz00_201);} } } } } } break;case ((long)20) : 

{ /* ./Jas/wide.scm 24 */
obj_t BgL_vz00_218;
BgL_vz00_218 = 
CAR(BgL_argsz00_3); 
{ /* ./Jas/wide.scm 25 */
bool_t BgL_test1481z00_219;
BgL_test1481z00_219 = 
INTEGERP(BgL_vz00_218); 
if(BgL_test1481z00_219)
{ /* ./Jas/wide.scm 25 */
{ /* ./Jas/wide.scm 25 */
obj_t BgL_arg1484z00_221;
{ /* ./Jas/wide.scm 25 */
int BgL_arg1487z00_222;
BgL_arg1487z00_222 = 
BGl_poolzd2longzd2zzjas_classfilez00(
(BgL_classfilez00_bglt)(BgL_classfilez00_1), 
(long)CINT(BgL_vz00_218)); 
BgL_arg1484z00_221 = 
BGl_u2z00zzjas_libz00(BgL_arg1487z00_222); } 
{ /* ./Jas/wide.scm 25 */
obj_t BgL_auxz00_631;
BgL_auxz00_631 = 
BINT(((long)20)); 
return 
MAKE_PAIR(BgL_auxz00_631, BgL_arg1484z00_221);} } }  else 
{ /* ./Jas/wide.scm 26 */
bool_t BgL_test1490z00_223;
BgL_test1490z00_223 = 
REALP(BgL_vz00_218); 
if(BgL_test1490z00_223)
{ /* ./Jas/wide.scm 26 */
{ /* ./Jas/wide.scm 26 */
obj_t BgL_arg1494z00_225;
{ /* ./Jas/wide.scm 26 */
int BgL_arg1497z00_226;
BgL_arg1497z00_226 = 
BGl_poolzd2doublezd2zzjas_classfilez00(
(BgL_classfilez00_bglt)(BgL_classfilez00_1), 
REAL_TO_DOUBLE(BgL_vz00_218)); 
BgL_arg1494z00_225 = 
BGl_u2z00zzjas_libz00(BgL_arg1497z00_226); } 
{ /* ./Jas/wide.scm 26 */
obj_t BgL_auxz00_640;
BgL_auxz00_640 = 
BINT(((long)20)); 
return 
MAKE_PAIR(BgL_auxz00_640, BgL_arg1494z00_225);} } }  else 
{ /* ./Jas/wide.scm 26 */
return 
BGl_jaszd2errorzd2zzjas_classfilez00(
(BgL_classfilez00_bglt)(BgL_classfilez00_1), BGl_string1992z00zzjas_widez00, BgL_vz00_218);} } } } break;case ((long)21) : 
case ((long)22) : 
case ((long)23) : 
case ((long)24) : 
case ((long)25) : 
case ((long)54) : 
case ((long)55) : 
case ((long)56) : 
case ((long)57) : 
case ((long)58) : 

{ /* ./Jas/wide.scm 29 */
obj_t BgL_indexz00_227;
BgL_indexz00_227 = 
CAR(BgL_argsz00_3); 
{ /* ./Jas/wide.scm 29 */
long BgL_basez00_228;
{ /* ./Jas/wide.scm 30 */
bool_t BgL_testz00_646;
{ /* ./Jas/wide.scm 30 */
long BgL_auxz00_647;
BgL_auxz00_647 = 
(long)CINT(BgL_copz00_2); 
BgL_testz00_646 = 
(BgL_auxz00_647>((long)50)); } 
if(BgL_testz00_646)
{ /* ./Jas/wide.scm 30 */
BgL_basez00_228 = ((long)54); }  else 
{ /* ./Jas/wide.scm 30 */
BgL_basez00_228 = ((long)21); } } 
{ /* ./Jas/wide.scm 30 */
long BgL_ismallz00_229;
{ /* ./Jas/wide.scm 31 */
long BgL_auxz00_652;long BgL_auxz00_650;
{ /* ./Jas/wide.scm 31 */
long BgL_auxz00_653;
{ /* ./Jas/wide.scm 31 */
long BgL_auxz00_654;
BgL_auxz00_654 = 
(long)CINT(BgL_copz00_2); 
BgL_auxz00_653 = 
(BgL_auxz00_654-BgL_basez00_228); } 
BgL_auxz00_652 = 
(BgL_auxz00_653*((long)4)); } 
BgL_auxz00_650 = 
(BgL_basez00_228+((long)5)); 
BgL_ismallz00_229 = 
(BgL_auxz00_650+BgL_auxz00_652); } 
{ /* ./Jas/wide.scm 31 */

{ /* ./Jas/wide.scm 32 */
bool_t BgL_test1504z00_230;
{ /* ./Jas/wide.scm 32 */
long BgL_auxz00_659;
BgL_auxz00_659 = 
(long)CINT(BgL_indexz00_227); 
BgL_test1504z00_230 = 
(BgL_auxz00_659<((long)4)); } 
if(BgL_test1504z00_230)
{ /* ./Jas/wide.scm 32 */
{ /* ./Jas/wide.scm 32 */
obj_t BgL_arg1506z00_231;
BgL_arg1506z00_231 = 
BGl_2zb2zb2zz__r4_numbers_6_5z00(
BINT(BgL_ismallz00_229), BgL_indexz00_227); 
{ /* ./Jas/wide.scm 32 */
obj_t BgL_list1508z00_232;
BgL_list1508z00_232 = 
MAKE_PAIR(BgL_arg1506z00_231, BNIL); 
return BgL_list1508z00_232;} } }  else 
{ /* ./Jas/wide.scm 33 */
bool_t BgL_test1511z00_233;
{ /* ./Jas/wide.scm 33 */
long BgL_auxz00_666;
BgL_auxz00_666 = 
(long)CINT(BgL_indexz00_227); 
BgL_test1511z00_233 = 
(BgL_auxz00_666<((long)256)); } 
if(BgL_test1511z00_233)
{ /* ./Jas/wide.scm 33 */
{ /* ./Jas/wide.scm 33 */
obj_t BgL_list1513z00_234;
{ /* ./Jas/wide.scm 33 */
obj_t BgL_arg1516z00_235;
BgL_arg1516z00_235 = 
MAKE_PAIR(BgL_indexz00_227, BNIL); 
BgL_list1513z00_234 = 
MAKE_PAIR(BgL_copz00_2, BgL_arg1516z00_235); } 
return BgL_list1513z00_234;} }  else 
{ /* ./Jas/wide.scm 34 */
bool_t BgL_test1519z00_236;
{ /* ./Jas/wide.scm 34 */
long BgL_auxz00_672;
BgL_auxz00_672 = 
(long)CINT(BgL_indexz00_227); 
BgL_test1519z00_236 = 
(BgL_auxz00_672<((long)65536)); } 
if(BgL_test1519z00_236)
{ /* ./Jas/wide.scm 34 */
{ /* ./Jas/wide.scm 34 */
obj_t BgL_arg1524z00_238;
{ /* ./Jas/wide.scm 34 */
obj_t BgL_arg1527z00_239;
BgL_arg1527z00_239 = 
BGl_u2z00zzjas_libz00(
CINT(BgL_indexz00_227)); 
BgL_arg1524z00_238 = 
MAKE_PAIR(BgL_copz00_2, BgL_arg1527z00_239); } 
{ /* ./Jas/wide.scm 34 */
obj_t BgL_auxz00_679;
BgL_auxz00_679 = 
BINT(((long)196)); 
return 
MAKE_PAIR(BgL_auxz00_679, BgL_arg1524z00_238);} } }  else 
{ /* ./Jas/wide.scm 34 */
return 
BGl_jaszd2errorzd2zzjas_classfilez00(
(BgL_classfilez00_bglt)(BgL_classfilez00_1), BGl_string1993z00zzjas_widez00, BgL_indexz00_227);} } } } } } } } break;case ((long)132) : 

{ /* ./Jas/wide.scm 38 */
obj_t BgL_indexz00_245;obj_t BgL_nz00_246;
BgL_indexz00_245 = 
CAR(BgL_argsz00_3); 
{ /* ./Jas/wide.scm 38 */
obj_t BgL_auxz00_685;
BgL_auxz00_685 = 
CDR(BgL_argsz00_3); 
BgL_nz00_246 = 
CAR(BgL_auxz00_685); } 
{ /* ./Jas/wide.scm 40 */
bool_t BgL_test1551z00_247;
{ /* ./Jas/wide.scm 40 */
bool_t BgL_testz00_688;
{ /* ./Jas/wide.scm 40 */
long BgL_auxz00_689;
BgL_auxz00_689 = 
(long)CINT(BgL_indexz00_245); 
BgL_testz00_688 = 
(BgL_auxz00_689<((long)256)); } 
if(BgL_testz00_688)
{ /* ./Jas/wide.scm 40 */
bool_t BgL_testz00_692;
{ /* ./Jas/wide.scm 40 */
long BgL_auxz00_693;
BgL_auxz00_693 = 
(long)CINT(BgL_nz00_246); 
BgL_testz00_692 = 
(BgL_auxz00_693>((long)-129)); } 
if(BgL_testz00_692)
{ /* ./Jas/wide.scm 40 */
long BgL_auxz00_696;
BgL_auxz00_696 = 
(long)CINT(BgL_nz00_246); 
BgL_test1551z00_247 = 
(BgL_auxz00_696<((long)128)); }  else 
{ /* ./Jas/wide.scm 40 */
BgL_test1551z00_247 = ((bool_t)0); } }  else 
{ /* ./Jas/wide.scm 40 */
BgL_test1551z00_247 = ((bool_t)0); } } 
if(BgL_test1551z00_247)
{ /* ./Jas/wide.scm 40 */
{ /* ./Jas/wide.scm 41 */
obj_t BgL_list1553z00_248;
{ /* ./Jas/wide.scm 41 */
obj_t BgL_arg1557z00_250;
{ /* ./Jas/wide.scm 41 */
obj_t BgL_arg1562z00_251;
BgL_arg1562z00_251 = 
MAKE_PAIR(BgL_nz00_246, BNIL); 
BgL_arg1557z00_250 = 
MAKE_PAIR(BgL_indexz00_245, BgL_arg1562z00_251); } 
{ /* ./Jas/wide.scm 41 */
obj_t BgL_auxz00_702;
BgL_auxz00_702 = 
BINT(((long)132)); 
BgL_list1553z00_248 = 
MAKE_PAIR(BgL_auxz00_702, BgL_arg1557z00_250); } } 
return BgL_list1553z00_248;} }  else 
{ /* ./Jas/wide.scm 42 */
bool_t BgL_test1565z00_252;
{ /* ./Jas/wide.scm 42 */
long BgL_auxz00_705;
BgL_auxz00_705 = 
(long)CINT(BgL_indexz00_245); 
BgL_test1565z00_252 = 
(BgL_auxz00_705>=((long)65536)); } 
if(BgL_test1565z00_252)
{ /* ./Jas/wide.scm 42 */
return 
BGl_jaszd2errorzd2zzjas_classfilez00(
(BgL_classfilez00_bglt)(BgL_classfilez00_1), BGl_string1993z00zzjas_widez00, BgL_indexz00_245);}  else 
{ /* ./Jas/wide.scm 44 */
bool_t BgL_test1567z00_253;
{ /* ./Jas/wide.scm 44 */
long BgL_auxz00_711;
{ /* ./Jas/wide.scm 44 */
obj_t BgL_auxz00_712;
BgL_auxz00_712 = 
BGl_absz00zz__r4_numbers_6_5z00(BgL_nz00_246); 
BgL_auxz00_711 = 
(long)CINT(BgL_auxz00_712); } 
BgL_test1567z00_253 = 
(BgL_auxz00_711>=((long)32768)); } 
if(BgL_test1567z00_253)
{ /* ./Jas/wide.scm 44 */
return 
BGl_jaszd2errorzd2zzjas_classfilez00(
(BgL_classfilez00_bglt)(BgL_classfilez00_1), BGl_string1994z00zzjas_widez00, BgL_nz00_246);}  else 
{ /* ./Jas/wide.scm 44 */
{ /* ./Jas/wide.scm 46 */
obj_t BgL_arg1572z00_255;
{ /* ./Jas/wide.scm 46 */
obj_t BgL_arg1576z00_257;
{ /* ./Jas/wide.scm 46 */
obj_t BgL_arg1579z00_258;obj_t BgL_arg1581z00_259;
BgL_arg1579z00_258 = 
BGl_u2z00zzjas_libz00(
CINT(BgL_indexz00_245)); 
BgL_arg1581z00_259 = 
BGl_u2z00zzjas_libz00(
CINT(BgL_nz00_246)); 
BgL_arg1576z00_257 = 
MAKE_PAIR(BgL_arg1579z00_258, BgL_arg1581z00_259); } 
{ /* ./Jas/wide.scm 46 */
obj_t BgL_auxz00_724;
BgL_auxz00_724 = 
BINT(((long)132)); 
BgL_arg1572z00_255 = 
MAKE_PAIR(BgL_auxz00_724, BgL_arg1576z00_257); } } 
{ /* ./Jas/wide.scm 46 */
obj_t BgL_auxz00_727;
BgL_auxz00_727 = 
BINT(((long)196)); 
return 
MAKE_PAIR(BgL_auxz00_727, BgL_arg1572z00_255);} } } } } } } break;case ((long)169) : 

{ /* ./Jas/wide.scm 48 */
obj_t BgL_indexz00_264;
BgL_indexz00_264 = 
CAR(BgL_argsz00_3); 
{ /* ./Jas/wide.scm 49 */
bool_t BgL_test1598z00_265;
{ /* ./Jas/wide.scm 49 */
long BgL_auxz00_731;
BgL_auxz00_731 = 
(long)CINT(BgL_indexz00_264); 
BgL_test1598z00_265 = 
(BgL_auxz00_731<((long)256)); } 
if(BgL_test1598z00_265)
{ /* ./Jas/wide.scm 49 */
{ /* ./Jas/wide.scm 49 */
obj_t BgL_list1600z00_266;
{ /* ./Jas/wide.scm 49 */
obj_t BgL_arg1604z00_268;
BgL_arg1604z00_268 = 
MAKE_PAIR(BgL_indexz00_264, BNIL); 
{ /* ./Jas/wide.scm 49 */
obj_t BgL_auxz00_736;
BgL_auxz00_736 = 
BINT(((long)169)); 
BgL_list1600z00_266 = 
MAKE_PAIR(BgL_auxz00_736, BgL_arg1604z00_268); } } 
return BgL_list1600z00_266;} }  else 
{ /* ./Jas/wide.scm 50 */
bool_t BgL_test1607z00_269;
{ /* ./Jas/wide.scm 50 */
long BgL_auxz00_739;
BgL_auxz00_739 = 
(long)CINT(BgL_indexz00_264); 
BgL_test1607z00_269 = 
(BgL_auxz00_739<((long)65536)); } 
if(BgL_test1607z00_269)
{ /* ./Jas/wide.scm 50 */
{ /* ./Jas/wide.scm 50 */
obj_t BgL_arg1611z00_271;
{ /* ./Jas/wide.scm 50 */
obj_t BgL_arg1615z00_273;
BgL_arg1615z00_273 = 
BGl_u2z00zzjas_libz00(
CINT(BgL_indexz00_264)); 
{ /* ./Jas/wide.scm 50 */
obj_t BgL_auxz00_745;
BgL_auxz00_745 = 
BINT(((long)169)); 
BgL_arg1611z00_271 = 
MAKE_PAIR(BgL_auxz00_745, BgL_arg1615z00_273); } } 
{ /* ./Jas/wide.scm 50 */
obj_t BgL_auxz00_748;
BgL_auxz00_748 = 
BINT(((long)196)); 
return 
MAKE_PAIR(BgL_auxz00_748, BgL_arg1611z00_271);} } }  else 
{ /* ./Jas/wide.scm 50 */
return 
BGl_jaszd2errorzd2zzjas_classfilez00(
(BgL_classfilez00_bglt)(BgL_classfilez00_1), BGl_string1993z00zzjas_widez00, BgL_indexz00_264);} } } } break;case ((long)178) : 
case ((long)179) : 
case ((long)180) : 
case ((long)181) : 

{ /* ./Jas/wide.scm 54 */
obj_t BgL_arg1624z00_274;
{ /* ./Jas/wide.scm 54 */
int BgL_arg1627z00_275;
{ /* ./Jas/wide.scm 54 */
obj_t BgL_arg1631z00_276;
BgL_arg1631z00_276 = 
CAR(BgL_argsz00_3); 
BgL_arg1627z00_275 = 
BGl_poolzd2fieldzd2zzjas_classfilez00(
(BgL_classfilez00_bglt)(BgL_classfilez00_1), 
(BgL_fieldz00_bglt)(BgL_arg1631z00_276)); } 
BgL_arg1624z00_274 = 
BGl_u2z00zzjas_libz00(BgL_arg1627z00_275); } 
return 
MAKE_PAIR(BgL_copz00_2, BgL_arg1624z00_274);} break;case ((long)182) : 
case ((long)183) : 
case ((long)184) : 

{ /* ./Jas/wide.scm 56 */
obj_t BgL_arg1635z00_277;
{ /* ./Jas/wide.scm 56 */
int BgL_arg1638z00_278;
{ /* ./Jas/wide.scm 56 */
obj_t BgL_arg1641z00_279;
BgL_arg1641z00_279 = 
CAR(BgL_argsz00_3); 
BgL_arg1638z00_278 = 
BGl_poolzd2methodzd2zzjas_classfilez00(
(BgL_classfilez00_bglt)(BgL_classfilez00_1), 
(BgL_methodz00_bglt)(BgL_arg1641z00_279)); } 
BgL_arg1635z00_277 = 
BGl_u2z00zzjas_libz00(BgL_arg1638z00_278); } 
return 
MAKE_PAIR(BgL_copz00_2, BgL_arg1635z00_277);} break;case ((long)185) : 

{ /* ./Jas/wide.scm 58 */
obj_t BgL_mz00_280;
BgL_mz00_280 = 
CAR(BgL_argsz00_3); 
{ /* ./Jas/wide.scm 59 */
obj_t BgL_instance1399z00_281;
{ /* ./Jas/wide.scm 59 */
BgL_fieldzd2orzd2methodz00_bglt BgL_obj1131z00_507;
BgL_obj1131z00_507 = 
(BgL_fieldzd2orzd2methodz00_bglt)(BgL_mz00_280); 
BgL_instance1399z00_281 = 
(((BgL_fieldzd2orzd2methodz00_bglt)CREF(BgL_obj1131z00_507))->BgL_typez00); } 
{ /* ./Jas/wide.scm 60 */
obj_t BgL_arg1648z00_282;
{ /* ./Jas/wide.scm 60 */
obj_t BgL_arg1651z00_283;obj_t BgL_arg1652z00_284;
{ /* ./Jas/wide.scm 60 */
int BgL_arg1655z00_285;
BgL_arg1655z00_285 = 
BGl_poolzd2interfacezd2methodz00zzjas_classfilez00(
(BgL_classfilez00_bglt)(BgL_classfilez00_1), 
(BgL_methodz00_bglt)(BgL_mz00_280)); 
BgL_arg1651z00_283 = 
BGl_u2z00zzjas_libz00(BgL_arg1655z00_285); } 
{ /* ./Jas/wide.scm 61 */
long BgL_arg1659z00_286;
{ /* ./Jas/wide.scm 61 */
obj_t BgL_arg1671z00_291;
{ /* ./Jas/wide.scm 61 */
obj_t BgL_runner1704z00_308;
{ /* ./Jas/wide.scm 61 */
obj_t BgL_l1401z00_292;
{ /* ./Jas/wide.scm 61 */
BgL_funz00_bglt BgL_obj1066z00_508;
BgL_obj1066z00_508 = 
(BgL_funz00_bglt)(BgL_instance1399z00_281); 
BgL_l1401z00_292 = 
(((BgL_funz00_bglt)CREF(BgL_obj1066z00_508))->BgL_targsz00); } 
{ /* ./Jas/wide.scm 61 */
bool_t BgL_test1673z00_293;
BgL_test1673z00_293 = 
NULLP(BgL_l1401z00_292); 
if(BgL_test1673z00_293)
{ /* ./Jas/wide.scm 61 */
BgL_runner1704z00_308 = BNIL; }  else 
{ /* ./Jas/wide.scm 61 */
obj_t BgL_head1403z00_294;
{ /* ./Jas/wide.scm 61 */
int BgL_arg1695z00_305;
{ /* ./Jas/wide.scm 61 */
obj_t BgL_arg1699z00_307;
BgL_arg1699z00_307 = 
CAR(BgL_l1401z00_292); 
BgL_arg1695z00_305 = 
BGl_typezd2siza7ez75zzjas_classfilez00(
(BgL_typez00_bglt)(BgL_arg1699z00_307)); } 
{ /* ./Jas/wide.scm 61 */
obj_t BgL_obj1z00_511;
BgL_obj1z00_511 = 
BINT(BgL_arg1695z00_305); 
BgL_head1403z00_294 = 
MAKE_PAIR(BgL_obj1z00_511, BNIL); } } 
{ 
obj_t BgL_l1401z00_295;obj_t BgL_tail1404z00_296;
{ /* ./Jas/wide.scm 61 */
obj_t BgL_arg1675z00_298;
BgL_arg1675z00_298 = 
CDR(BgL_l1401z00_292); 
BgL_l1401z00_295 = BgL_arg1675z00_298; 
BgL_tail1404z00_296 = BgL_head1403z00_294; 
BgL_map1402z00_297:
{ /* ./Jas/wide.scm 61 */
bool_t BgL_test1678z00_299;
BgL_test1678z00_299 = 
NULLP(BgL_l1401z00_295); 
if(BgL_test1678z00_299)
{ /* ./Jas/wide.scm 61 */
BgL_runner1704z00_308 = BgL_head1403z00_294; }  else 
{ /* ./Jas/wide.scm 61 */
obj_t BgL_newtail1405z00_300;
{ /* ./Jas/wide.scm 61 */
int BgL_arg1685z00_302;
{ /* ./Jas/wide.scm 61 */
obj_t BgL_arg1689z00_304;
BgL_arg1689z00_304 = 
CAR(BgL_l1401z00_295); 
BgL_arg1685z00_302 = 
BGl_typezd2siza7ez75zzjas_classfilez00(
(BgL_typez00_bglt)(BgL_arg1689z00_304)); } 
{ /* ./Jas/wide.scm 61 */
obj_t BgL_obj1z00_516;
BgL_obj1z00_516 = 
BINT(BgL_arg1685z00_302); 
BgL_newtail1405z00_300 = 
MAKE_PAIR(BgL_obj1z00_516, BNIL); } } 
SET_CDR(BgL_tail1404z00_296, BgL_newtail1405z00_300); 
{ /* ./Jas/wide.scm 61 */
obj_t BgL_arg1681z00_301;
BgL_arg1681z00_301 = 
CDR(BgL_l1401z00_295); 
{ 
obj_t BgL_tail1404z00_792;obj_t BgL_l1401z00_791;
BgL_l1401z00_791 = BgL_arg1681z00_301; 
BgL_tail1404z00_792 = BgL_newtail1405z00_300; 
BgL_tail1404z00_296 = BgL_tail1404z00_792; 
BgL_l1401z00_295 = BgL_l1401z00_791; 
goto BgL_map1402z00_297;} } } } } } } } } 
BgL_arg1671z00_291 = 
BGl_zb2zb2zz__r4_numbers_6_5z00(BgL_runner1704z00_308); } 
{ /* ./Jas/wide.scm 61 */
long BgL_auxz00_794;
BgL_auxz00_794 = 
(long)CINT(BgL_arg1671z00_291); 
BgL_arg1659z00_286 = 
(((long)1)+BgL_auxz00_794); } } 
{ /* ./Jas/wide.scm 61 */
obj_t BgL_list1663z00_288;
{ /* ./Jas/wide.scm 61 */
obj_t BgL_arg1666z00_289;
{ /* ./Jas/wide.scm 61 */
obj_t BgL_auxz00_797;
BgL_auxz00_797 = 
BINT(((long)0)); 
BgL_arg1666z00_289 = 
MAKE_PAIR(BgL_auxz00_797, BNIL); } 
{ /* ./Jas/wide.scm 61 */
obj_t BgL_auxz00_800;
BgL_auxz00_800 = 
BINT(BgL_arg1659z00_286); 
BgL_list1663z00_288 = 
MAKE_PAIR(BgL_auxz00_800, BgL_arg1666z00_289); } } 
BgL_arg1652z00_284 = BgL_list1663z00_288; } } 
BgL_arg1648z00_282 = 
bgl_append2(BgL_arg1651z00_283, BgL_arg1652z00_284); } 
return 
MAKE_PAIR(BgL_copz00_2, BgL_arg1648z00_282);} } } break;case ((long)187) : 

{ /* ./Jas/wide.scm 64 */
obj_t BgL_arg1709z00_309;
{ /* ./Jas/wide.scm 64 */
int BgL_arg1712z00_310;
{ /* ./Jas/wide.scm 64 */
obj_t BgL_arg1715z00_311;
BgL_arg1715z00_311 = 
CAR(BgL_argsz00_3); 
BgL_arg1712z00_310 = 
BGl_poolzd2classzd2zzjas_classfilez00(
(BgL_classfilez00_bglt)(BgL_classfilez00_1), 
(BgL_classez00_bglt)(BgL_arg1715z00_311)); } 
BgL_arg1709z00_309 = 
BGl_u2z00zzjas_libz00(BgL_arg1712z00_310); } 
return 
MAKE_PAIR(BgL_copz00_2, BgL_arg1709z00_309);} break;case ((long)189) : 
case ((long)192) : 
case ((long)193) : 

{ /* ./Jas/wide.scm 66 */
obj_t BgL_arg1719z00_312;
{ /* ./Jas/wide.scm 66 */
int BgL_arg1722z00_313;
{ /* ./Jas/wide.scm 66 */
obj_t BgL_arg1725z00_314;
BgL_arg1725z00_314 = 
CAR(BgL_argsz00_3); 
BgL_arg1722z00_313 = 
BGl_poolzd2classzd2byzd2reftypezd2zzjas_classfilez00(
(BgL_classfilez00_bglt)(BgL_classfilez00_1), 
(BgL_typez00_bglt)(BgL_arg1725z00_314)); } 
BgL_arg1719z00_312 = 
BGl_u2z00zzjas_libz00(BgL_arg1722z00_313); } 
return 
MAKE_PAIR(BgL_copz00_2, BgL_arg1719z00_312);} break;case ((long)197) : 

{ /* ./Jas/wide.scm 68 */
obj_t BgL_arg1729z00_315;
{ /* ./Jas/wide.scm 68 */
obj_t BgL_arg1732z00_316;obj_t BgL_arg1733z00_317;
{ /* ./Jas/wide.scm 68 */
int BgL_arg1736z00_318;
{ /* ./Jas/wide.scm 68 */
obj_t BgL_arg1741z00_319;
BgL_arg1741z00_319 = 
CAR(BgL_argsz00_3); 
BgL_arg1736z00_318 = 
BGl_poolzd2classzd2byzd2reftypezd2zzjas_classfilez00(
(BgL_classfilez00_bglt)(BgL_classfilez00_1), 
(BgL_typez00_bglt)(BgL_arg1741z00_319)); } 
BgL_arg1732z00_316 = 
BGl_u2z00zzjas_libz00(BgL_arg1736z00_318); } 
{ /* ./Jas/wide.scm 69 */
obj_t BgL_arg1748z00_320;
{ /* ./Jas/wide.scm 69 */
obj_t BgL_auxz00_822;
BgL_auxz00_822 = 
CDR(BgL_argsz00_3); 
BgL_arg1748z00_320 = 
CAR(BgL_auxz00_822); } 
{ /* ./Jas/wide.scm 69 */
obj_t BgL_list1750z00_321;
BgL_list1750z00_321 = 
MAKE_PAIR(BgL_arg1748z00_320, BNIL); 
BgL_arg1733z00_317 = BgL_list1750z00_321; } } 
BgL_arg1729z00_315 = 
bgl_append2(BgL_arg1732z00_316, BgL_arg1733z00_317); } 
return 
MAKE_PAIR(BgL_copz00_2, BgL_arg1729z00_315);} break;case ((long)205) : 

{ 
obj_t BgL_begz00_322;obj_t BgL_endz00_323;obj_t BgL_namez00_324;obj_t BgL_typez00_325;obj_t BgL_indexz00_326;
{ /* ./Jas/wide.scm 13 */
bool_t BgL_test1753z00_330;
BgL_test1753z00_330 = 
PAIRP(BgL_argsz00_3); 
if(BgL_test1753z00_330)
{ /* ./Jas/wide.scm 13 */
obj_t BgL_cdrzd2115zd2_331;
BgL_cdrzd2115zd2_331 = 
CDR(BgL_argsz00_3); 
{ /* ./Jas/wide.scm 13 */
bool_t BgL_test1754z00_332;
BgL_test1754z00_332 = 
PAIRP(BgL_cdrzd2115zd2_331); 
if(BgL_test1754z00_332)
{ /* ./Jas/wide.scm 13 */
obj_t BgL_cdrzd2122zd2_333;
BgL_cdrzd2122zd2_333 = 
CDR(BgL_cdrzd2115zd2_331); 
{ /* ./Jas/wide.scm 13 */
bool_t BgL_test1755z00_334;
BgL_test1755z00_334 = 
PAIRP(BgL_cdrzd2122zd2_333); 
if(BgL_test1755z00_334)
{ /* ./Jas/wide.scm 13 */
obj_t BgL_cdrzd2128zd2_335;
BgL_cdrzd2128zd2_335 = 
CDR(BgL_cdrzd2122zd2_333); 
{ /* ./Jas/wide.scm 13 */
bool_t BgL_test1756z00_336;
BgL_test1756z00_336 = 
PAIRP(BgL_cdrzd2128zd2_335); 
if(BgL_test1756z00_336)
{ /* ./Jas/wide.scm 13 */
obj_t BgL_cdrzd2133zd2_337;
BgL_cdrzd2133zd2_337 = 
CDR(BgL_cdrzd2128zd2_335); 
{ /* ./Jas/wide.scm 13 */
bool_t BgL_test1757z00_338;
BgL_test1757z00_338 = 
PAIRP(BgL_cdrzd2133zd2_337); 
if(BgL_test1757z00_338)
{ /* ./Jas/wide.scm 13 */
bool_t BgL_test1758z00_339;
{ /* ./Jas/wide.scm 13 */
obj_t BgL_auxz00_842;
BgL_auxz00_842 = 
CDR(BgL_cdrzd2133zd2_337); 
BgL_test1758z00_339 = 
NULLP(BgL_auxz00_842); } 
if(BgL_test1758z00_339)
{ /* ./Jas/wide.scm 13 */
obj_t BgL_arg1760z00_340;obj_t BgL_arg1761z00_341;obj_t BgL_arg1762z00_342;obj_t BgL_arg1766z00_343;obj_t BgL_arg1767z00_344;
BgL_arg1760z00_340 = 
CAR(BgL_argsz00_3); 
BgL_arg1761z00_341 = 
CAR(BgL_cdrzd2115zd2_331); 
BgL_arg1762z00_342 = 
CAR(BgL_cdrzd2122zd2_333); 
BgL_arg1766z00_343 = 
CAR(BgL_cdrzd2128zd2_335); 
BgL_arg1767z00_344 = 
CAR(BgL_cdrzd2133zd2_337); 
BgL_begz00_322 = BgL_arg1760z00_340; 
BgL_endz00_323 = BgL_arg1761z00_341; 
BgL_namez00_324 = BgL_arg1762z00_342; 
BgL_typez00_325 = BgL_arg1766z00_343; 
BgL_indexz00_326 = BgL_arg1767z00_344; 
{ /* ./Jas/wide.scm 73 */
int BgL_arg1794z00_346;int BgL_arg1795z00_347;
BgL_arg1794z00_346 = 
BGl_poolzd2namezd2zzjas_classfilez00(
(BgL_classfilez00_bglt)(BgL_classfilez00_1), BgL_namez00_324); 
{ /* ./Jas/wide.scm 74 */
obj_t BgL_arg1817z00_354;
{ /* ./Jas/wide.scm 74 */
BgL_typez00_bglt BgL_obj1003z00_550;
BgL_obj1003z00_550 = 
(BgL_typez00_bglt)(BgL_typez00_325); 
BgL_arg1817z00_354 = 
(((BgL_typez00_bglt)CREF(BgL_obj1003z00_550))->BgL_codez00); } 
BgL_arg1795z00_347 = 
BGl_poolzd2namezd2zzjas_classfilez00(
(BgL_classfilez00_bglt)(BgL_classfilez00_1), BgL_arg1817z00_354); } 
{ /* ./Jas/wide.scm 73 */
obj_t BgL_list1797z00_348;
{ /* ./Jas/wide.scm 73 */
obj_t BgL_arg1799z00_349;
{ /* ./Jas/wide.scm 73 */
obj_t BgL_arg1802z00_350;
{ /* ./Jas/wide.scm 73 */
obj_t BgL_arg1805z00_351;
{ /* ./Jas/wide.scm 73 */
obj_t BgL_arg1809z00_352;
{ /* ./Jas/wide.scm 73 */
obj_t BgL_arg1812z00_353;
BgL_arg1812z00_353 = 
MAKE_PAIR(BgL_indexz00_326, BNIL); 
{ /* ./Jas/wide.scm 73 */
obj_t BgL_auxz00_858;
BgL_auxz00_858 = 
BINT(BgL_arg1795z00_347); 
BgL_arg1809z00_352 = 
MAKE_PAIR(BgL_auxz00_858, BgL_arg1812z00_353); } } 
{ /* ./Jas/wide.scm 73 */
obj_t BgL_auxz00_861;
BgL_auxz00_861 = 
BINT(BgL_arg1794z00_346); 
BgL_arg1805z00_351 = 
MAKE_PAIR(BgL_auxz00_861, BgL_arg1809z00_352); } } 
BgL_arg1802z00_350 = 
MAKE_PAIR(BgL_endz00_323, BgL_arg1805z00_351); } 
BgL_arg1799z00_349 = 
MAKE_PAIR(BgL_begz00_322, BgL_arg1802z00_350); } 
BgL_list1797z00_348 = 
MAKE_PAIR(BgL_copz00_2, BgL_arg1799z00_349); } 
return BgL_list1797z00_348;} } }  else 
{ /* ./Jas/wide.scm 13 */
BgL_tagzd2102zd2_328:
return 
BGl_jaszd2errorzd2zzjas_classfilez00(
(BgL_classfilez00_bglt)(BgL_classfilez00_1), BGl_string1995z00zzjas_widez00, BgL_argsz00_3);} }  else 
{ /* ./Jas/wide.scm 13 */
goto BgL_tagzd2102zd2_328;} } }  else 
{ /* ./Jas/wide.scm 13 */
goto BgL_tagzd2102zd2_328;} } }  else 
{ /* ./Jas/wide.scm 13 */
goto BgL_tagzd2102zd2_328;} } }  else 
{ /* ./Jas/wide.scm 13 */
goto BgL_tagzd2102zd2_328;} } }  else 
{ /* ./Jas/wide.scm 13 */
goto BgL_tagzd2102zd2_328;} } } break;
default: 
return 
MAKE_PAIR(BgL_copz00_2, BgL_argsz00_3);} }  else 
{ /* ./Jas/wide.scm 13 */
return 
MAKE_PAIR(BgL_copz00_2, BgL_argsz00_3);} } } 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzjas_widez00()
{ AN_OBJECT;
{ /* ./Jas/wide.scm 1 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzjas_widez00()
{ AN_OBJECT;
{ /* ./Jas/wide.scm 1 */
BGl_modulezd2initializa7ationz75zzjas_libz00(((long)38394), "jas_wide"); 
return 
BGl_modulezd2initializa7ationz75zzjas_classfilez00(((long)21074), "jas_wide");} 
}

